<template>
  <div class="relative shadow-md sm:rounded-lg w-[90vw] md:w-full">
    <div class="overflow-auto">
      <table class="w-full table-fixed  text-sm text-left rtl:text-right text-gray-500 dark:text-gray-400 border-collapse">
        <thead class="text-xs text-gray-700 uppercase bg-gray-50 dark:bg-gray-700 dark:text-gray-400">
          <tr >
            <th scope="col" class=" p-4 md:w-auto">Applied by</th>
            <th scope="col" class=" p-4 md:w-auto">Leave Type</th>
            <th scope="col" class=" md:w-auto">Applied At</th>
            <th scope="col" class=" md:w-auto">Start Date</th>
            <th scope="col" class=" md:w-auto">End Date</th>
            <th scope="col" class=" md:w-auto">Status</th>
            <th scope="col" class=" md:w-auto">Action</th>
          </tr>
        </thead>
        <tbody>
          <!-- Table rows -->
          <tr class="bg-white border-b dark:bg-gray-800 dark:border-gray-700 hover:bg-gray-50 dark:hover:bg-gray-600"
            v-for="approval in approvals.data">
            <td class="p-4 dark:text-gray-200">
              {{ approval.user.name }} ({{ approval.user.role.name }})
            </td>
            <td class="p-4 dark:text-gray-200">
              {{ approval.approvalable.leave_type.type }}
            </td>
            <td class="p-4 dark:text-gray-200">
              {{ new Date(approval.approvalable.created_at).toLocaleString() }}
            </td>
            <td class="p-4 dark:text-gray-200">
              {{ approval.approvalable.start_date }}
            </td>
            <td class="p-4 dark:text-gray-200">
              {{ approval.approvalable.end_date }}
            </td>
            <td class="p-4 dark:text-gray-200">
              <Status :status="approval.approvalable.approval_status"></Status>
            </td>
            <td class="p-4 flex items-center">
              <Link :href="`/leave/leaveRequest/${approval.approvalable.id}`"
                class="text-gray-500 hover:text-green-900">
              <Icon icon="fa-solid fa-eye" class="text-2xl"></Icon>
              </Link>
            </td>
          </tr>
        </tbody>
      </table>
    </div>
  </div>

  <Pagination :data="approvals"></Pagination>
</template>

<script setup>
import { computed } from "vue";
import { Link, useForm, usePage } from "@inertiajs/vue3";
import Pagination from "@/Components/Pagination.vue";
import Status from "@/Components/Status.vue";

const page = usePage();
const currentUser = computed(() => page.props.currentUser)

const props = defineProps({
  approvals: Object,
});

//selection
const selectionForm = useForm({
  selected: [],
});
</script>
